Top

 (+39) 0532 1915969 - (+39) 0434 1855191

L'ultimo aggiornamento di Joomla! comprende vari bugfix, ma se l'update viene fatto su un sistema con il two factor authentication attivato potrebbe mostrare l'errore "Must match character set".

Qualora vogliate aggiornare il CMS all'ultima versione (3.6.3) dovrete priima disabilitare il two factor authentication, la verifica in due passaggi e poi eseguire l'aggiornamento.

Se avete attivato questo plugin potrebbe presentarvi il problema una volta che effettuate nuovamente il login nel pannello di amministrazione dandovi appunto l'errore "Must match character set".

Per risolverlo bisogna diabilitare il plugin, e poi riabilitarlo (questo porterà a dover rifare la procedura inserendo la nuova chiave).

Se non riuscite ad accedere al pannello di amministrazione andate alla tabella del database #__extensions, cercate il plugin con il campo name "plg_twofactorauth_totp" e settate il campo enabled a "0".

Ad esempio lanciate la query (se avete il prefisso jos per le tabelle):
UPDATE `jos_extensions` SET `enabled` = '0' WHERE `jos_extensions`.`extension_name` ="plg_twofactorauth_totp";

Non ci assumiamo responsabilità per errori causati al database, questo genere di operazioni va fatto da persone esperte.

Se avete problemi da risolvere contattateci pure!